# Gdk::Point Class Reference

This is a simple structure containing an x and y coordinate of a point. More...

List of all members.

## Public Member Functions

| Point ()
| Point (int x, int y)
void | set_x (int x)
void | set_y (int y)
int | get_x () const
int | get_y () const
bool | equal (const Gdk::Point& rhs) const
GdkPoint* | gobj ()
| Provides access to the underlying C GObject.
const GdkPoint* | gobj () const
| Provides access to the underlying C GObject.

## Protected Attributes

GdkPoint | gobject_

## Related Functions

(Note that these are not member functions.)
Gdk::Point& | wrap (GdkPoint* object)
const Gdk::Point& | wrap (const GdkPoint* object)

## Detailed Description

This is a simple structure containing an x and y coordinate of a point.

## Constructor & Destructor Documentation

Gdk::Point::Point | ( |  | ) |

Gdk::Point::Point | ( | int | x,
|  | int | y |
| ) |  |  |

## Member Function Documentation

bool Gdk::Point::equal | ( | const Gdk::Point& | rhs | ) | const

int Gdk::Point::get_x | ( |  | ) | const`[inline]`

int Gdk::Point::get_y | ( |  | ) | const`[inline]`

const GdkPoint* Gdk::Point::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

GdkPoint* Gdk::Point::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

void Gdk::Point::set_x | ( | int | x | ) | `[inline]`

void Gdk::Point::set_y | ( | int | y | ) | `[inline]`

## Friends And Related Function Documentation

const Gdk::Point& wrap | ( | const GdkPoint * | object | ) | `[related]`

Gdk::Point& wrap | ( | GdkPoint * | object | ) | `[related]`

## Member Data Documentation

GdkPoint Gdk::Point::gobject_ `[protected]`

The documentation for this class was generated from the following file:

- gdkmm/types.h